Bug 1261283 - The guest name is rhel7.1 instead of rhel7.2 when installing a guest with a rhel7.2 tree
The guest name is rhel7.1 instead of rhel7.2 when installing a guest with a r...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libosinfo (Show other bugs)
7.2
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Matthias Clasen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 02:23 EDT by xiaodwan
Modified: 2017-01-09 10:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix rhel 7.2 detection (511 bytes, patch)
2015-11-30 09:36 EST, Tuomo Soini
no flags Details | Diff

  None (edit)
Description xiaodwan 2015-09-09 02:23:16 EDT
Description of problem:
The guest name is rhel7.1 instead of rhel7.2 when installing a guest with a rhel7.2 tree.

Version-Release number of selected component (if applicable):
virt-manager-1.2.1-6.el7.noarch
libosinfo-0.2.12-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Launch virt-manager and Select "Network Install(HTTP, FTP, or NFS)".
2. In Step2 of 5, type a rhel7.2 url(http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL-7.2-20150904.0/compose/Server/x86_64/os), and it automatically detect the version is rhel7.2. 
3. Click Foward until step 5 of 5, check the Name.

Actual results:
The guest name is rhel7.1-2.

Expected results:
The guest name should be rhel7.2 or rhel7.2-x (if guest rhel7.2 already exists).


Additional info:
1. the output of "osinfo-query os" is as below, i think it should be rhel7.2 for the 3rd line.

 rhel6.6              | Red Hat Enterprise Linux 6.6                       | 6.6      | http://redhat.com/rhel/6.6              
 rhel7.0              | Red Hat Enterprise Linux 7.0                       | 7.0      | http://redhat.com/rhel/7.0              
 rhel7.1              | Red Hat Enterprise Linux 7.2                       | 7.2      | http://redhat.com/rhel/7.2              
 rhel7.1              | Red Hat Enterprise Linux 7.1                       | 7.1      | http://redhat.com/rhel/7.1   

2. Can't find rhel6.7 info by "osinfo-query os".
Comment 2 Tuomo Soini 2015-11-30 09:12:14 EST
This is a bug in rhel.xml in libosinfo.

rhel7.2 entry has short name rhel7.1 there.
Comment 3 Tuomo Soini 2015-11-30 09:36 EST
Created attachment 1100514 [details]
Patch to fix rhel 7.2 detection
Comment 4 Christophe Fergeau 2015-11-30 10:02:34 EST
The upstream patch adding 7.2 detection is https://git.fedorahosted.org/cgit/libosinfo.git/commit/?id=bfd9d6337e4e17200c1b82ed0dc9baecc645d7f3

The RHEL7.2 detection support we have in our RHEL7 package seems to be downstream-only :(

Note You need to log in before you can comment on or make changes to this bug.